Bug 157095 - graphics/mupdf: optional scroll hack
graphics/mupdf: optional scroll hack
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Xin LI
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 22:00 UTC by lichray
Modified: 2011-05-18 01:30 UTC (History)
0 users

See Also:


Attachments
mupdf_1-scroll_hack.patch (1.86 KB, patch)
2011-05-16 22:00 UTC, lichray
no flags Details | Diff
mupdf_1-scroll_hack.patch (2.29 KB, patch)
2011-05-17 01:14 UTC, lichray
no flags Details | Diff
mupdf_1-scroll_hack.patch (2.30 KB, patch)
2011-05-17 02:04 UTC, lichray
no flags Details | Diff
mupdf_1.patch (3.52 KB, patch)
2011-05-17 05:43 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-05-16 22:00:22 UTC
	
	In mupdf, j and k only scroll within one page. This patch adds an optional KNOB, WITH_SCROLL, to turn on a scroll hack, which makes j and k scroll to next/prev page when hits the bottom/top of the current page.

	Originates from http://www.linuxsir.org/bbs/thread376003.html (Chinese, membership required; follow up this PR so that I can send you the original patch).
Comment 1 lichray 2011-05-17 01:14:58 UTC
This updated patch adds the same function to mouse wheel.

-- 
Zhihao Yuan
The best way to predict the future is to invent it.
Comment 2 lichray 2011-05-17 02:04:07 UTC
The previous patch does not distinguish the x-scroll and y-scroll.
This patch fixes the bug.

-- 
Zhihao Yuan
The best way to predict the future is to invent it.
Comment 3 lichray 2011-05-17 05:43:26 UTC
This one includes 2 patches. The scroll hack one is stable enough and
not changed. The new one changes MuPDF's hard-coded DPI (72) with a X
DPI detection (opens and closes a X Display within a function); this
patch is not optional (since these is no need to keep the old way).

-- 
Zhihao Yuan
The best way to predict the future is to invent it.
Comment 4 lichray 2011-05-17 06:11:00 UTC
It seems that my previous two replies can not be shown correctly. Let
me paste them here:

2nd:
The previous patch does not distinguish the x-scroll and y-scroll.
This patch fixes the bug.

3rd:
This one includes 2 patches. The scroll hack one is stable enough and
not changed. The new one changes MuPDF's hard-coded DPI (72) with a X
DPI detection (opens and closes a X Display within a function); this
patch is not optional (since these is no need to keep the old way).
Comment 5 Xin LI freebsd_committer 2011-05-18 00:55:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Take.
Comment 6 dfilter freebsd_committer 2011-05-18 01:25:53 UTC
delphij     2011-05-18 00:25:45 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile 
  Added files:
    graphics/mupdf/files patch-apps_x11_main.c 
                         scroll_hack-apps_pdfapp.c 
  Log:
   - Instead of using a hardcoded DPI, obtain it from X;
   - Add an optional hack that allows j, k and mouse to scroll across
     page boundary.
  
  Submitted by:   maintainer
  PR:             ports/157095 (with changes)
  
  Revision  Changes    Path
  1.14      +9 -0      ports/graphics/mupdf/Makefile
  1.1       +36 -0     ports/graphics/mupdf/files/patch-apps_x11_main.c (new)
  1.1       +46 -0     ports/graphics/mupdf/files/scroll_hack-apps_pdfapp.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Xin LI freebsd_committer 2011-05-18 01:25:55 UTC
State Changed
From-To: open->closed

Committed (with changes to make up the menu), thanks!